=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]*)/modemmanager-qt-([\d.]*)\.tar\.xz
