=== debian/changelog ===
modemmanager-qt (5.116.0+p24.04+vunstable+git20250729.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 29 Jul 2025 01:06:17 +0000
